=== modified file 'drizzled/plugin/logging_handler.h'
--- drizzled/plugin/logging_handler.h	2009-03-22 08:32:24 +0000
+++ drizzled/plugin/logging_handler.h	2009-04-01 01:00:08 +0000
@@ -33,8 +33,8 @@
    * Make these no-op rather than pure-virtual so that it's easy for a plugin
    * to only 
    */
-  virtual inline bool pre(Session *) {return false;}
-  virtual inline bool post(Session *) {return false;}
+  virtual bool pre(Session *) {return false;}
+  virtual bool post(Session *) {return false;}
 };
 
 #endif /* DRIZZLED_PLUGIN_LOGGING_H */

=== modified file 'plugin/logging_gearman/logging_gearman.cc'
--- plugin/logging_gearman/logging_gearman.cc	2009-03-31 21:12:21 +0000
+++ plugin/logging_gearman/logging_gearman.cc	2009-04-01 01:00:08 +0000
@@ -165,8 +165,9 @@
 
 class LoggingGearman : public Logging_handler
 {
-
-  virtual bool post (Session *session)
+public:
+  LoggingGearman() : Logging_handler() {}
+  virtual bool post(Session *session)
   {
     char msgbuf[MAX_MSG_LEN];
     int msgbuf_len= 0;
@@ -234,7 +235,8 @@
 
 static int logging_gearman_plugin_init(void *p)
 {
-  Logging_handler **l= static_cast<Logging_handler **>(p);
+  Logging_handler **handler= static_cast<Logging_handler **>(p);
+  *handler= NULL;
 
   gearman_return_t ret;
 
@@ -272,7 +274,7 @@
     return 0;
   }
 
-  *l= new LoggingGearman();
+  *handler= new LoggingGearman();
 
   return 0;
 }

=== modified file 'po/POTFILES.in'
--- po/POTFILES.in	2009-03-31 08:49:15 +0000
+++ po/POTFILES.in	2009-04-01 01:00:08 +0000
@@ -38,6 +38,7 @@
 mysys/my_error.cc
 mysys/my_getopt.cc
 plugin/errmsg_stderr/errmsg_stderr.cc
+plugin/logging_gearman/logging_gearman.cc
 plugin/logging_query/logging_query.cc
 plugin/logging_syslog/logging_syslog.cc
 plugin/multi_thread/multi_thread.cc

